"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _jayson = _interopRequireDefault(require("jayson"));

var _eslint = require("eslint");

var _cliUtils = require("./cliUtils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class Client {
  constructor(options) {
    const {
      port,
      formatter,
      maxWarnings
    } = options;
    const eslint = new _eslint.CLIEngine();
    this.port = port;
    this.formatter = eslint.getFormatter(formatter);
    this.maxWarnings = maxWarnings;
  }

  connect() {
    const client = _jayson.default.client.http({
      port: this.port
    });

    const formatter = this.formatter;
    const maxWarnings = this.maxWarnings;
    setInterval(() => {
      client.request('status', null, function (error, response) {
        if (error) {
          throw error;
        }

        const {
          result
        } = response;

        if (!result.message) {
          console.log(formatter(result.records));
          process.exit(result && (result.errorCount > 0 ? 1 : 0 || result.warningCount > maxWarnings ? 1 : 0));
        } else {
          (0, _cliUtils.clearLine)();
          process.stdout.write(result.message);
        }
      });
    }, 1000);
  }

}

exports.default = Client;