"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.worker = worker;

var _eslint = require("eslint");

const lintFile = (fileArg, fix) => {
  if (!Array.isArray(fileArg)) {
    fileArg = [fileArg];
  }

  const eslint = new _eslint.CLIEngine({
    cwd: process.cwd(),
    fix
  });
  const report = eslint.executeOnFiles(fileArg);

  _eslint.CLIEngine.outputFixes(report);

  return report.results;
};

async function worker({
  fileArg,
  fix,
  suppressWarnings
}) {
  return new Promise(resolve => {
    const results = lintFile(fileArg, fix);
    resolve(suppressWarnings ? _eslint.CLIEngine.getErrorResults(results) : results);
  });
}